#ifndef ASTROREFRACTIONDIALOG_H
#define ASTROREFRACTIONDIALOG_H

#include <QDialog>

namespace Ui {
class AstroRefractionDialog;
}

class AstroRefractionDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AstroRefractionDialog(QWidget *parent = 0);
    ~AstroRefractionDialog();

private slots:
    void initValues();

    void uiReset();

    void on_comboBox_presure_currentIndexChanged(int index);

    void on_checkBox_enableAstroRef_toggled(bool checked);

    void on_doubleSpinBox_latitude_valueChanged(double arg1);

    void on_doubleSpinBox_longitude_valueChanged(double arg1);

    void on_doubleSpinBox_presure_valueChanged(double arg1);

    void on_doubleSpinBox_temperature_valueChanged(double arg1);


private:
    Ui::AstroRefractionDialog *ui;
};

#endif // ASTROREFRACTIONDIALOG_H
